<% if (section === 'css') { %>
<style>
  .page[page=soccer] {
    display: flex;
    flex-direction: column;
    text-align: center;
  }

  .soccer-teams-row {
    flex: 1;
    display: flex;
    flex-direction: row;
  }

  .soccer-team {
    flex: 3;
    font-weight: bold;
  }

  .soccer-score-row {
    flex: 3;
    display: flex;
    flex-direction: row;
  }

  .soccer-column {
    flex: 1 1 33%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
  }

  .soccer-row {
    flex: 1;
  }

  .soccer-score {
    font-weight: bold;
    flex: 1;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="soccer">
  <div class="soccer-teams-row">
    <div id="soccer-home-team" class="soccer-team text-fit"></div>
    <div class="text-fit" style="flex: 1;">VS</div>
    <div id="soccer-away-team" class="soccer-team text-fit"></div>
  </div>
  <div class="soccer-score-row">
    <div class="soccer-column">
      <div id="soccer-home-score" class="soccer-score text-fit"></div>
    </div>
      <div class="soccer-column">
      <div class="soccer-row text-fit">Status:</div>
      <div id="soccer-status" class="soccer-row text-fit"></div>
      <div class="soccer-row text-fit">Laatste update:</div>
      <div id="soccer-last-update" class="soccer-row text-fit"></div>
    </div>
      <div class="soccer-column">
      <div id="soccer-away-score" class="soccer-score text-fit"></div>
    </div>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  registerCommand('soccer', 'matchData', (data) => {
    document.getElementById('soccer-home-team').innerHTML = data.homeName
    document.getElementById('soccer-home-score').innerHTML = data.homeScore
    document.getElementById('soccer-away-team').innerHTML = data.awayName
    document.getElementById('soccer-away-score').innerHTML = data.awayScore

    let status
    if (data.status === 'SCHEDULED') {
      status = 'Gepland'
    } else  if (data.status === 'IN_PLAY') {
      status = 'Bezig'
    } else if (data.status === 'PAUSED') {
      status = 'Gepauzeerd'
    } else if (data.status === 'FINISHED') {
      status = 'Beëindigd'
    } else {
      status = data.status
    }

    document.getElementById('soccer-status').innerHTML = status

    const d = new Date(data.lastUpdate)
    d.setTime(d.getTime() + (d.getTimezoneOffset() * 1000 * 60))

    document.getElementById('soccer-last-update').innerHTML = `${d.getHours().pad(2)}:${d.getMinutes().pad(2)}.${d.getSeconds().pad(2)}`

    fitText(document.querySelectorAll('.page[page="soccer"] .text-fit'))
  })
</script>
<% } %>
